Bug 84709 - In template directory odt files no longer visible
Summary: In template directory odt files no longer visible
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2014-10-06 09:47 UTC by Rudolf Kollien
Modified: 2021-05-31 11:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Directory view (konqueror) from the content of the template dir (43.35 KB, image/png)
2015-06-09 07:50 UTC, Rudolf Kollien
Details
Path setting in LO for the template directory (14.41 KB, image/png)
2015-06-09 07:52 UTC, Rudolf Kollien
Details
The content of the template directory offered by LO (53.20 KB, image/png)
2015-06-09 07:53 UTC, Rudolf Kollien
Details
Version 4.4.x (81.58 KB, image/png)
2015-06-09 10:35 UTC, Rudolf Kollien
Details
Exactly same behaviour as of 4.0/1/2/3.x (57.04 KB, image/png)
2015-06-09 10:36 UTC, Rudolf Kollien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rudolf Kollien 2014-10-06 09:47:33 UTC
Hello,

in LO version 4.x files other than "truly" named templates (ott, ots, etc) are not longer shown in the template manager.

Until know, we saved simple "odt" and " ods" files in folders for easy maintenance by admin users. Other users have this folders in the path directive in the LO settings. When they open the files with "New->from template", the "odt" and "ods" files are treated as templates and a new document based on this are created. Now, in 4.x files with extensions other than "ott", "ots" etc are not listed any more.

Is there a possibility to get the old functionality back? 

Best regards,
Rudolf
Comment 1 Buovjaga 2014-11-14 19:32:12 UTC
I see .odt files just fine in the template manager.
I need you to check with a newer version and let me know what happens. Set to unconfirmed, if the problem persists and set as resolved worksforme, if it's gone.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 2 QA Administrators 2015-06-08 14:28:42 UTC Comment hidden (obsolete)
Comment 3 Rudolf Kollien 2015-06-09 07:49:45 UTC
Attached some screenshots from the current version 4.3.7.2 64bit running under Centos 5.11.

On the first screenshot you can see six files. Five of them with .ott extension as "real" templates, one of them as a ordinary document file.

The second screenshot verifies, that the path is correct for templates

The third screenshot shows the templates provided in this path from LO. As you can see, this are only five and not six files. All shown templates are the files in the directory with .ott extension. The "template" with the .odt extension is missing
Comment 4 Rudolf Kollien 2015-06-09 07:50:55 UTC
Created attachment 116398 [details]
Directory view (konqueror) from the content of the template dir
Comment 5 Rudolf Kollien 2015-06-09 07:52:43 UTC
Created attachment 116399 [details]
Path setting in LO for the template directory

The root directory for templates are "Vorlagen". Beneath this directory are some other directories to sort templates in public, privat, or some other purposes.
Comment 6 Rudolf Kollien 2015-06-09 07:53:17 UTC
Created attachment 116400 [details]
The content of the template directory offered by LO
Comment 7 Rudolf Kollien 2015-06-09 07:53:38 UTC
The screenshots.
Comment 8 Buovjaga 2015-06-09 09:11:21 UTC
Just for completeness, you could test with the latest 4.4.x version. You can install in parallel, if you don't want to replace 4.3 yet: https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 9 Rudolf Kollien 2015-06-09 10:35:03 UTC
Created attachment 116410 [details]
Version 4.4.x
Comment 10 Rudolf Kollien 2015-06-09 10:36:51 UTC
Created attachment 116411 [details]
Exactly same behaviour as of 4.0/1/2/3.x

Version 4.4.3.2 does the same as 4.x: odt files are ignored in template directory.
Comment 11 Marina Latini (SUSE) 2016-05-13 09:42:05 UTC
odt files are missing in template manager.

Confirmed on:

Version: 5.1.3.1
Build ID: 10m0(Build:1)
CPU Threads: 4; OS Version: Linux 4.5; UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Tumbleweed (20160422) (x86_64)
Comment 12 QA Administrators 2017-05-22 13:39:25 UTC Comment hidden (obsolete)
Comment 13 Rudolf Kollien 2017-05-23 09:24:31 UTC
As this bug never was investigated or fixed by the developers, we had to convert all template files from odt to ott (witch in case is more "correct" than using a odt as a template). So there is currently no possibility to check if this bug still exists.
Comment 14 Buovjaga 2017-05-23 09:31:05 UTC
It was confirmed by Marina, so no need to close.
Comment 15 QA Administrators 2018-05-24 02:45:38 UTC Comment hidden (obsolete)
Comment 16 Rudolf Kollien 2018-05-24 05:22:16 UTC
There is no possibility to make further tests.
Comment 17 Buovjaga 2018-05-24 05:32:57 UTC
(In reply to Rudolf Kollien from comment #16)
> There is no possibility to make further tests.

Not true, so reverting status change.
Comment 18 QA Administrators 2019-05-25 02:57:16 UTC Comment hidden (obsolete)
Comment 19 Rudolf Kollien 2019-05-28 07:08:36 UTC
Hello,
it's to long ago that the bug was reported. No chance to reproduce, as we changed all template files to ott. Maybe it works, may not.
Comment 20 Buovjaga 2019-05-28 13:54:24 UTC
(In reply to Buovjaga from comment #14)
> It was confirmed by Marina, so no need to close.

Reverting status again.
Comment 21 Marina Latini (SUSE) 2019-05-29 13:46:25 UTC
The template manager shows only template files.

Confirmed on:
Version: 6.3.0.0.alpha1+ (x64)
Build-ID: 37103a3f008c13dee21d55c8da9e6af807b1997c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-05-27_23:15:19
Gebietsschema: de-DE (en_GB); UI-Sprache: de-DE
Calc: threaded
Comment 22 Heiko Tietze 2021-05-25 13:10:39 UTC
Don't see why we need to list non-template files in the template manager. Sounds abusive to me to expect kind of a project manager from this tool.
Comment 23 Heiko Tietze 2021-05-31 11:49:00 UTC
No further input, let's resolve WF.